This commit is contained in:
Scott McCreary
2008-08-15 04:41:51 +00:00
parent 58680fd256
commit 3068875682

View File

@@ -29,87 +29,87 @@ diff -urN Python-2.5.2/Modules/_ctypes/libffi/configure.ac Python-2.5.2-haiku/Mo
i*86-*-netbsdelf* | i*86-*-knetbsd*-gnu) TARGET=X86; TARGETDIR=x86;;
i*86-*-openbsd*) TARGET=X86; TARGETDIR=x86;;
diff -urN Python-2.5.2/Modules/ld_so_haiku Python-2.5.2-haiku/Modules/ld_so_haiku
--- Python-2.5.2/Modules/ld_so_haiku 2008-08-14 19:45:12.000000000 -0700
+++ Python-2.5.2-haiku/Modules/ld_so_haiku 1969-12-31 16:00:00.000000000 -0800
@@ -1,78 +0,0 @@
-#! /bin/sh
-#
-# linkmodule for Python
-# Chris Herborth (chrish@qnx.com)
-#
-# This is covered by the same copyright/licensing terms as the rest of
-# Python.
-#
-# Shell script to build shared library versions of the modules; since
-# the change to the *ahem* "proper" import/export mechanism, this script
-# is much simpler. It handles PowerPC and x86, too.
-#
-# This is called by the Modules/Makefile as $(LDSHARED):
-#
-# $(LDSHARED) foomodule.o -o foomodule$(SO)
-#
-# Could also be called as:
-#
-# $(LDSHARED) readline.o -L/boot/home/config/lib -lreadline -ltermcap \
-# -o readline$(SO)
-#
-# so we need to preserve the arguments, sort of.
-
-# Make sure we got reasonable arguments.
-TARGET=""
-ARGS=""
-
-while [ "$#" != "0" ]; do
- case "$1" in
- -o) TARGET="$2"; shift; shift;;
- *) ARGS="$ARGS $1"; shift;;
- esac
-done
-
-if [ "$TARGET" = "" ] ; then
- echo "Usage:"
- echo
- echo " $0 [args] -o foomodule.so [args] foomodule.o [args]"
- echo
- echo "Where:"
- echo
- echo " [args] normal compiler arguments"
- exit 1
-fi
-
-# The shared libraries and glue objects we need to link against; these
-# libs are overkill for most of the standard modules, but it makes life
-# in this shell script easier.
-LIBS="-lbe -lnetwork -lroot"
-
-case $BE_HOST_CPU in
- ppc)
- # Boy, do we need a lot of crap...
- GLUE_LOC=/boot/develop/lib/ppc
- GLUE="${GLUE_LOC}/glue-noinit.a ${GLUE_LOC}/init_term_dyn.o"
- case $(uname -r) in
- 4.0*) CC="mwcc -xms -export pragma -nodup" ;;
- *) CC="mwcc -shared -export pragma -nodup" ;;
- esac
- ;;
-
- x86)
- # We don't need as much crap here...
- GLUE=""
- CC="gcc -nostart -Wl,-soname=${TARGET}"
- ;;
-
- *)
- # What the?!?
- echo "$0 doesn't support $BE_HOST_CPU systems..."
- echo "You're on your own... I'd be surprised if this works."
- GLUE=""
- CC="cc"
- ;;
-esac
-
-# Now link that shared lib...
-$CC -o $TARGET $ARGS $GLUE $LIBS
--- Python-2.5.2/Modules/ld_so_haiku 1969-12-31 16:00:00.000000000 -0800
+++ Python-2.5.2-haiku/Modules/ld_so_haiku 2008-08-14 19:45:12.000000000 -0700
@@ -0,0 +1,78 @@
+#! /bin/sh
+#
+# linkmodule for Python
+# Chris Herborth (chrish@qnx.com)
+#
+# This is covered by the same copyright/licensing terms as the rest of
+# Python.
+#
+# Shell script to build shared library versions of the modules; since
+# the change to the *ahem* "proper" import/export mechanism, this script
+# is much simpler. It handles PowerPC and x86, too.
+#
+# This is called by the Modules/Makefile as $(LDSHARED):
+#
+# $(LDSHARED) foomodule.o -o foomodule$(SO)
+#
+# Could also be called as:
+#
+# $(LDSHARED) readline.o -L/boot/home/config/lib -lreadline -ltermcap \
+# -o readline$(SO)
+#
+# so we need to preserve the arguments, sort of.
+
+# Make sure we got reasonable arguments.
+TARGET=""
+ARGS=""
+
+while [ "$#" != "0" ]; do
+ case "$1" in
+ -o) TARGET="$2"; shift; shift;;
+ *) ARGS="$ARGS $1"; shift;;
+ esac
+done
+
+if [ "$TARGET" = "" ] ; then
+ echo "Usage:"
+ echo
+ echo " $0 [args] -o foomodule.so [args] foomodule.o [args]"
+ echo
+ echo "Where:"
+ echo
+ echo " [args] normal compiler arguments"
+ exit 1
+fi
+
+# The shared libraries and glue objects we need to link against; these
+# libs are overkill for most of the standard modules, but it makes life
+# in this shell script easier.
+LIBS="-lbe -lnetwork -lroot"
+
+case $BE_HOST_CPU in
+ ppc)
+ # Boy, do we need a lot of crap...
+ GLUE_LOC=/boot/develop/lib/ppc
+ GLUE="${GLUE_LOC}/glue-noinit.a ${GLUE_LOC}/init_term_dyn.o"
+ case $(uname -r) in
+ 4.0*) CC="mwcc -xms -export pragma -nodup" ;;
+ *) CC="mwcc -shared -export pragma -nodup" ;;
+ esac
+ ;;
+
+ x86)
+ # We don't need as much crap here...
+ GLUE=""
+ CC="gcc -nostart -Wl,-soname=${TARGET}"
+ ;;
+
+ *)
+ # What the?!?
+ echo "$0 doesn't support $BE_HOST_CPU systems..."
+ echo "You're on your own... I'd be surprised if this works."
+ GLUE=""
+ CC="cc"
+ ;;
+esac
+
+# Now link that shared lib...
+$CC -o $TARGET $ARGS $GLUE $LIBS
diff -urN Python-2.5.2/Modules/resource.c Python-2.5.2-haiku/Modules/resource.c
--- Python-2.5.2/Modules/resource.c 2006-05-29 14:04:52.000000000 -0700
+++ Python-2.5.2-haiku/Modules/resource.c 2008-08-14 18:02:59.000000000 -0700
@@ -130,14 +130,14 @@ diff -urN Python-2.5.2/Modules/resource.c Python-2.5.2-haiku/Modules/resource.c
if (PyErr_Occurred()) {
Py_DECREF(result);
diff -urN Python-2.5.2/Modules/selectmodule.c Python-2.5.2-haiku/Modules/selectmodule.c
--- Python-2.5.2/Modules/selectmodule.c 2008-08-14 18:02:59.000000000 -0700
+++ Python-2.5.2-haiku/Modules/selectmodule.c 2006-07-09 18:18:57.000000000 -0700
--- Python-2.5.2/Modules/selectmodule.c 2006-07-09 18:18:57.000000000 -0700
+++ Python-2.5.2-haiku/Modules/selectmodule.c 2008-08-14 18:02:59.000000000 -0700
@@ -49,7 +49,7 @@
# include <winsock.h>
#else
# define SOCKET int
-# if defined(__BEOS__) && !defined(__HAIKU__)
+# ifdef __BEOS__
-# ifdef __BEOS__
+# if defined(__BEOS__) && !defined(__HAIKU__)
# include <net/socket.h>
# elif defined(__VMS)
# include <socket.h>